﻿#ifndef Subfield_h
#define Subfield_h


namespace fastmrc
{

class DECLSPEC Subfield
{
public:
	Subfield(
		const char* data, // not null pointer to subfield's data
		unsigned datalen  // data length in bytes
		);

	char getCode() const;

	const char* getData() const;

	unsigned getDatalen() const;

private:
	const char* data;
	unsigned datalen;
};

} // namespace fastmrc

#endif //#define Subfield_h