#ifndef Field_h
#define Field_h


namespace fastmrc
{
// base class for control field and data field
class DECLSPEC Field
{
public:
	Field();
	Field(const char* data, // not null pointer to field's data
		unsigned datalen	// data length in bytes (including field terminator)
		);

	virtual ~Field(void);

	virtual bool isControl(void) const = 0; // is control field, dynamic_cast is also possible

protected:
	const char* data;
	unsigned datalen;
};

} // namespace fastmrc

#endif //#ifndef Field_h